# Method: accounts.skuGroups.billableSkus.list

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.ListSkuGroupBillableSkusResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.aspect)
- [BillableSku](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#BillableSku)
  - [JSON representation](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#BillableSku.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#try-it)

Lists the Billable SKUs in a given SKU group.

Possible error codes: PERMISSION_DENIED: If the account making the request and the account being queried for are different, or the account doesn't exist. INVALID_ARGUMENT: Missing or invalid required parameters in the request. INTERNAL: Any non-user error related to technical issue in the backend. In this case, contact cloud channel support.

Return Value: If successful, the `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#BillableSku` resources. The data for each resource is displayed in the ascending order of:

- `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#BillableSku.FIELDS.service_display_name`
- `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#BillableSku.FIELDS.sku_display_name`

If unsuccessful, returns an error.

### HTTP request

`GET https://cloudchannel.googleapis.com/v1/{parent=accounts/*/skuGroups/*}/billableSkus`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the SKU group. Format: accounts/{account}/skuGroups/{skuGroup}. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of SKUs to return. The service may return fewer than this value. If unspecified, returns a maximum of 100000 SKUs. The maximum value is 100000; values above 100000 will be coerced to 100000. |
| `pageToken` | `string` Optional. A token identifying a page of results beyond the first page. Obtained through `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.ListSkuGroupBillableSkusResponse.FIELDS.next_page_token` of the previous `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#google.cloud.channel.v1.CloudChannelService.ListSkuGroupBillableSkus` call. |

### Request body

The request body must be empty.

### Response body

Response message for billableSkus.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "billableSkus": [ { object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#BillableSku`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `billableSkus[]` | ``object (`https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#BillableSku`)`` The list of billable SKUs in the requested SKU group. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass to `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.skuGroups.billableSkus/list#body.QUERY_PARAMETERS.page_token` to obtain that page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## BillableSku

Represents the Billable SKU information.

| JSON representation |
|---|
| ``` { "sku": string, "skuDisplayName": string, "service": string, "serviceDisplayName": string } ``` |

| Fields ||
|---|---|
| `sku` | `string` Resource name of Billable SKU. Format: billableSkus/{sku}. Example: billableSkus/6E1B-6634-470F". |
| `skuDisplayName` | `string` Unique human readable name for the SKU. |
| `service` | `string` Resource name of Service which contains Repricing SKU. Format: services/{service}. Example: "services/B7D9-FDCB-15D8". |
| `serviceDisplayName` | `string` Unique human readable name for the Service. |